org.keycloak.keys

## Class AbstractGeneratedSecretKeyProviderFactory<T extends KeyProvider>

- java.lang.Object
- - org.keycloak.keys.AbstractGeneratedSecretKeyProviderFactory<T>

- All Implemented Interfaces:
    ComponentFactory<T,KeyProvider>, KeyProviderFactory<T>, ConfiguredProvider, ProviderFactory<KeyProvider>
  Direct Known Subclasses:
    GeneratedAesKeyProviderFactory, GeneratedHmacKeyProviderFactory

      public abstract class AbstractGeneratedSecretKeyProviderFactory<T extends KeyProvider>
      extends Object
      implements KeyProviderFactory<T>

  Author:
    Stian Thorgersen

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractGeneratedSecretKeyProviderFactory()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract int` | `getDefaultKeySize()`
    `protected abstract org.jboss.logging.Logger` | `logger()`
    `void` | `validateConfiguration(KeycloakSession session, RealmModel realm, ComponentModel model)` Called before a component is created or updated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.keys.KeyProviderFactory

      `close, create, createFallbackKeys, init, postInit`

    - ### Methods inherited from interface org.keycloak.component.ComponentFactory

      `create, getCommonProviderConfigProperties, getTypeMetadata, onCreate, onUpdate, preRemove`

    - ### Methods inherited from interface org.keycloak.provider.ProviderFactory

      `getId, order`

    - ### Methods inherited from interface org.keycloak.provider.ConfiguredProvider

      `getConfigProperties, getHelpText`

- - ### Constructor Detail

    - #### AbstractGeneratedSecretKeyProviderFactory

          public AbstractGeneratedSecretKeyProviderFactory()

  - ### Method Detail

    - #### validateConfiguration

          public void validateConfiguration(KeycloakSession session,
                                            RealmModel realm,
                                            ComponentModel model)
                                     throws ComponentValidationException

      Description copied from interface: `ComponentFactory`
      Called before a component is created or updated. Allows you to validate the configuration
      Specified by:
        `validateConfiguration` in interface `ComponentFactory<T extends KeyProvider,KeyProvider>`
      Throws:
        `ComponentValidationException`

    - #### logger

          protected abstract org.jboss.logging.Logger logger()

    - #### getDefaultKeySize

          protected abstract int getDefaultKeySize()

Copyright © 2020 JBoss by Red Hat. All rights reserved.